Name:           perl-Locale-Maketext-Simple
Version:        0.18
Release:        1.ru
Summary:        Simple interface to Locale::Maketext::Lexicon
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Locale-Maketext-Simple/
Source0:        http://www.cpan.org/authors/id/A/AU/AUDREYT/Locale-Maketext-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Locale::Maketext::Lexicon) >= 0.20
Requires:       perl(Locale::Maketext::Lexicon) >= 0.20
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.

%prep
%setup -q -n Locale-Maketext-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
rm -f t/0-signature.t
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 03 2011 Russell Frank <rfranknj@nbcs.rutgers.edu> 0.18-1.ru
- First build for Rutgers

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.18-1
- Update to 0.18.

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> 0.17-1
- Update to 0.17.
- Fix find option order.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16.
- License has changed to MIT.

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.13-1
- Update to 0.13.

* Mon Apr 10 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Explicitly require perl(Locale::Maketext::Lexicon).

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Specfile autogenerated by cpanspec 1.64.
- Remove Module::Signature test.
